hw = {};
function hw.prerequisitesPresent(specializations)
    return true;
end;

function hw:load(xmlFile)

self.hw = true; --lub false na poczatku po wczytaniu modu
end;

function hw:delete()
end;
function hw:readStream(streamId, connection)	

end;
function hw:writeStream(streamId, connection)
end;
function hw:mouseEvent(posX, posY, isDown, isUp, button)
end;
function hw:keyEvent(unicode, sym, modifier, isDown)
end;
function hw:update(dt)

self.hw = self.animationParts[1].clipStartTime and self.animationParts[1].inputDone;

if self:getIsActiveForInput() then
if InputBinding.hasEvent(InputBinding.t) then
			if self.costam then
			self:setAnimationTime(1, self.animationParts[1].animDuration);
		else				self:setAnimationTime(1, self.animationParts[1].offSet);
			end;
	end;
	end;
end;
function hw:updateTick(dt)
end;
function hw:draw()
	if self.hw then
g_currentMission:addHelpButtonText(g_i18n:getText("wcisnij t"), InputBinding.t);
else
g_currentMission:addHelpButtonText(g_i18n:getText("wcisnij y"), InputBinding.y);
end;
end;